Loading...
Searching...
No Matches
Opm::FluidStateNullCompositionModule< Scalar > Class Template Reference

Module for the modular fluid state which does not store the compositions but throws std::logic_error instead. More...

`#include <FluidStateCompositionModules.hpp>`

## Public Types

enum | { numComponents = 0 }

## Public Member Functions

Scalar | moleFraction (unsigned, unsigned) const
| The mole fraction of a component in a phase [].
Scalar | massFraction (unsigned, unsigned) const
| The mass fraction of a component in a phase [].
Scalar | averageMolarMass (unsigned) const
| The mean molar mass of a fluid phase [kg/mol].
Scalar | molarity (unsigned, unsigned) const
| The concentration of a component in a phase [mol/m^3].
void | checkDefined () const
| Make sure that all attributes are defined.

## Detailed Description

template<class Scalar>
class Opm::FluidStateNullCompositionModule< Scalar >

Module for the modular fluid state which does not store the compositions but throws std::logic_error instead.

## Member Function Documentation

## averageMolarMass()

template<class Scalar>

Scalar Opm::FluidStateNullCompositionModule< Scalar >::averageMolarMass | ( | unsigned |  | ) | const

inline

The mean molar mass of a fluid phase [kg/mol].

The average mass is the mean molar mass of a molecule of the fluid at current composition. It is defined as the sum of the component's molar masses weighted by the current mole fraction:

## checkDefined()

template<class Scalar>

void Opm::FluidStateNullCompositionModule< Scalar >::checkDefined | ( |  | ) | const

inline

Make sure that all attributes are defined.

This method does not do anything if the program is not run under valgrind. If it is, then valgrind will print an error message if some attributes of the object have not been properly defined.

## molarity()

template<class Scalar>

Scalar Opm::FluidStateNullCompositionModule< Scalar >::molarity | ( | unsigned | ,
|  | unsigned | ) const

inline

The concentration of a component in a phase [mol/m^3].

This quantity is often called "molar concentration" or just "concentration", but there are many other (though less common) measures for concentration.

http://en.wikipedia.org/wiki/Concentration

The documentation for this class was generated from the following file:

- opm/material/fluidstates/FluidStateCompositionModules.hpp